Xorg 7.0.0 es fglrx

 ( htmm | 2006. április 21., péntek - 12:45 )

Hali!
A tegnapi upgrade alkalmaval felkerult a 7.0.0 -as xorg (debian sid). Nem is lenne vele semmi baj, de az ati driver ezzel a verzioval nem megy (igy meg iszonyatosan lassu).
Probaltam 6.9 -es xorgra forditani az ati drivert, de ugy nem tudja betolteni a modult az x.
A regebbi xorg visszatetele sem biztos, hogy jo megoldas, mert elegge sok csomagutkozes lenne telepites helyett (teljesen nullarol epiteni a grafikus feluletet meg nincs kedvem).
Van valami megoldas, hogy tudjam hasznalni az ati drivert addig is, amig ki nem adnak olyat, ami tamogatja a 7-es xorgot?

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Az utolsó sem támogatja? Egyébként a ftp://ftp.frugalware.org/pub/frugalware/frugalware-current/extra/source/x11/fglrx mappában találsz egy FrugalBuildet. Nekünk így működik és ezeket a lépéseket te is meg tudod csinálni.

Ahoy,
Nem támogatja, de megoldható :-) Valahol már irtam róla.
A lényeg hogy 6.9-es xorg opcióval futtasd a bináris telepítőt.
Aztán a librarikat a /usr/X11R6/modules alól, a /usr/xorg/modules-be másold be.aztán a szokásos xorg.conf-olás, és olé már megy is.

Koszonom szepen, a megoldasotok jonak bizonyult!
Azt mar nem fejtem ki, hogy mi a velemenyem, mikor egy zart forrasu csomaggal ilyen hegeszteseket kell csinalni, mert flame lenne :)
Koszi meg egyszer!

Ugy tunik, csak azt hittem, hogy a problema megoldodott. Nem, akarom mondani, nem teljesen. Beszeljen inkabb a log:

dlopen: /usr/lib/xorg/modules/extensions/libGLcore.so: undefined symbol: __glXLastContext
(EE) Failed to load /usr/lib/xorg/modules/extensions/libGLcore.so
(EE) Failed to load module GLcore (loader failed, 7)
(EE) Failed to load module speedo (module does not exist, 0)

Keresoben nem sok okosat talaltam. Meg egy erdekesseg:
A glxgears (tobbek kozott) azota nincs meg. Tudom, hogy az xbase-clients -ben van, az fent is van.

EasyUbuntu nem rakja fel ezeket rendesen?

Debianom van (sid)